## com.google.gwt.event.dom.client
Interface HasMouseMoveHandlers

All Superinterfaces:
  HasHandlers

All Known Subinterfaces:
  DialogBox.Caption, HasAllMouseHandlers

All Known Implementing Classes:
  Anchor, Button, ButtonBase, CheckBox, CustomButton, FocusPanel, FocusWidget, HTML, Image, InlineHTML, InlineLabel, Label, ListBox, PasswordTextBox, PushButton, RadioButton, RichTextArea, SimpleCheckBox, SimpleRadioButton, TextArea, TextBox, TextBoxBase, ToggleButton, Tree

    public interface HasMouseMoveHandlers

extends HasHandlers

A widget that implements this interface provides registration for `MouseMoveHandler` instances.

Method Summary
`HandlerRegistration` | `addMouseMoveHandler(MouseMoveHandler handler)` Adds a `MouseMoveEvent` handler.

Methods inherited from interface com.google.gwt.event.shared.HasHandlers
`fireEvent`

Method Detail

### addMouseMoveHandler

    HandlerRegistration addMouseMoveHandler(MouseMoveHandler handler)

  Adds a `MouseMoveEvent` handler.

  Parameters:
    `handler` - the mouse move handler
  Returns:
    `HandlerRegistration` used to remove this handler